Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class ScriptBootstrapActionConfig

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.ScriptBootstrapActionConfig

    public class ScriptBootstrapActionConfig

extends Object

Configuration of the script to run during a bootstrap action.

Constructor Summary
`ScriptBootstrapActionConfig()`

Method Summary
`List<String>` | `getArgs()` A list of command line arguments to pass to the bootstrap action script.
`String` | `getPath()` Location of the script to run during a bootstrap action.
`void` | `setArgs(Collection<String> args)` A list of command line arguments to pass to the bootstrap action script.
`void` | `setPath(String path)` Location of the script to run during a bootstrap action.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ScriptBootstrapActionConfig` | `withArgs(Collection<String> args)` A list of command line arguments to pass to the bootstrap action script.
`ScriptBootstrapActionConfig` | `withArgs(String... args)` A list of command line arguments to pass to the bootstrap action script.
`ScriptBootstrapActionConfig` | `withPath(String path)` Location of the script to run during a bootstrap action.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptBootstrapActionConfig

    public ScriptBootstrapActionConfig()

Method Detail

### getPath

    public String getPath()

  Location of the script to run during a bootstrap action. Can be either a location in Amazon S3 or on a local file system.

  Returns:
    Location of the script to run during a bootstrap action. Can be either a location in Amazon S3 or on a local file system.

### setPath

    public void setPath(String path)

  Location of the script to run during a bootstrap action. Can be either a location in Amazon S3 or on a local file system.

  Parameters:
    `path` - Location of the script to run during a bootstrap action. Can be either a location in Amazon S3 or on a local file system.

### withPath

    public ScriptBootstrapActionConfig withPath(String path)

  Location of the script to run during a bootstrap action. Can be either a location in Amazon S3 or on a local file system.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `path` - Location of the script to run during a bootstrap action. Can be either a location in Amazon S3 or on a local file system.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getArgs

    public List<String> getArgs()

  A list of command line arguments to pass to the bootstrap action script.

  Returns:
    A list of command line arguments to pass to the bootstrap action script.

### setArgs

    public void setArgs(Collection<String> args)

  A list of command line arguments to pass to the bootstrap action script.

  Parameters:
    `args` - A list of command line arguments to pass to the bootstrap action script.

### withArgs

    public ScriptBootstrapActionConfig withArgs(String... args)

  A list of command line arguments to pass to the bootstrap action script.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `args` - A list of command line arguments to pass to the bootstrap action script.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withArgs

    public ScriptBootstrapActionConfig withArgs(Collection<String> args)

  A list of command line arguments to pass to the bootstrap action script.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `args` - A list of command line arguments to pass to the bootstrap action script.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.